curl --request PATCH \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/linked_bank_accounts/<uuid>/cancel{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "created",
"status_detail": {
"reason": "unverified",
"source": "watchtower",
"code": "<string>",
"message": "<string>"
},
"bank_account": {
"institution_name": "<string>",
"account_holder": "<string>",
"routing_number": "<string>",
"account_mask": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"purposes": [
"charges"
],
"metadata": {},
"platform_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
}Cancels an existing linked bank account. This can be used to cancel a linked bank account before it has been reviewed. The linked bank account must be in ‘created’ status.
curl --request PATCH \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/linked_bank_accounts/<uuid>/cancel{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "created",
"status_detail": {
"reason": "unverified",
"source": "watchtower",
"code": "<string>",
"message": "<string>"
},
"bank_account": {
"institution_name": "<string>",
"account_holder": "<string>",
"routing_number": "<string>",
"account_mask": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"purposes": [
"charges"
],
"metadata": {},
"platform_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
}Use your Straddle API Key in the Authorization header as Bearer
Optional client generated identifier to trace and debug a request.
Optional client generated identifier to trace and debug a series of requests.
Optional client generated value to use for idempotent requests.
10 - 40OK
Metadata about the API request, including an identifier and timestamp.
Show child attributes
Indicates the structure of the returned content.
data field contains a single JSON object.data field contains an array of objects.data field contains an error object with details of the issue.object, array, error, none Show child attributes
Was this page helpful?